Bug 236590 - graphics/zathura-pdf-mupdf Undefined symbol "jpeg_resync_to_restart")
Summary: graphics/zathura-pdf-mupdf Undefined symbol "jpeg_resync_to_restart")
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-ports-bugs mailing list
URL: https://archives.gentoo.org/gentoo-us...
Keywords:
Depends on:
Blocks:
 
Reported: 2019-03-17 08:04 UTC by Ivan
Modified: 2019-05-08 04:48 UTC (History)
3 users (show)

See Also:
bugzilla: maintainer-feedback? (uzsolt)


Attachments
mupdf build log (290.72 KB, text/plain)
2019-03-17 08:04 UTC, Ivan
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ivan 2019-03-17 08:04:02 UTC
Created attachment 202926 [details]
mupdf build log

mupdf backend looks to be broken. It compiles, but doesn't load

error: Could not load plugin '/usr/local/lib/zathura/libpdf-mupdf.so' (/usr/local/lib/libmupdf.so.1.14.0: Undefined symbol "jpeg_resync_to_restart").

Poppler backend works.
I see recent mupdf updates, maybe something is broken?
Comment 1 Ivan 2019-03-17 08:16:19 UTC
mupdf opens pdfs, so it's definitely not a 1.14 update.
Comment 3 Alexandre C. Guimarães freebsd_committer 2019-03-17 16:24:52 UTC
That was working, and I indeed used for a while. I will try take a look on it during this week.

If someone can look earlier, go for it. :)
Comment 4 Alexandre C. Guimarães freebsd_committer 2019-04-07 18:02:34 UTC
Based on a quick look and it looks like to be a linking problem
Comment 5 Alexandre C. Guimarães freebsd_committer 2019-04-07 21:40:48 UTC
graphics/mupdf is not loading the system libraries correctly. The port is expected to be fixed soon but for the sake of workaround, for now you can run zathura like this:

LD_PRELOAD=/usr/local/lib/libjpeg.so:/usr/local/lib/libjbig2dec.so:/usr/local/lib/libopenjp2.so zathura somefile.pdf
Comment 6 Zsolt Udvari 2019-05-07 06:50:41 UTC
Here is an update and fix:
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=237770
Comment 7 commit-hook freebsd_committer 2019-05-07 19:36:59 UTC
A commit references this bug:

Author: rigoletto
Date: Tue May  7 19:36:11 UTC 2019
New revision: 500974
URL: https://svnweb.freebsd.org/changeset/ports/500974

Log:
  graphics/mupdf: Upate to 1.15.0

  - bump graphics-zathura-mupdf

  PR:		237770
  PR:		236590
  Submitted by:	Zsolt Udvari (maintainer)
  Approved by:	tcberner (mentor)
  MFH:		2019Q2

Changes:
  head/graphics/mupdf/Makefile
  head/graphics/mupdf/distinfo
  head/graphics/mupdf/pkg-plist
  head/graphics/zathura-pdf-mupdf/Makefile
Comment 8 Alexandre C. Guimarães freebsd_committer 2019-05-07 19:37:34 UTC
Thanks! :-)
Comment 9 commit-hook freebsd_committer 2019-05-08 04:48:06 UTC
A commit references this bug:

Author: rigoletto
Date: Wed May  8 04:47:38 UTC 2019
New revision: 500992
URL: https://svnweb.freebsd.org/changeset/ports/500992

Log:
  MFH: r500974

  graphics/mupdf: Upate to 1.15.0

  - bump graphics-zathura-mupdf

  PR:		237770
  PR:		236590
  Submitted by:	Zsolt Udvari (maintainer)
  Approved by:	tcberner (mentor)

  Approved by:	ports-secteam (miwi)

Changes:
_U  branches/2019Q2/
  branches/2019Q2/graphics/mupdf/Makefile
  branches/2019Q2/graphics/mupdf/distinfo
  branches/2019Q2/graphics/mupdf/pkg-plist
  branches/2019Q2/graphics/zathura-pdf-mupdf/Makefile